#include <stdio.h>
#include "help.h"
#include "version.h"

void help(void) {
    int i=0;
    char *help_string[] = {
        "BIORHYTHM\n",
        "Usuage:\n",
        "      biorhythm [mm/dd/CCyy][-h][-l n][-q][-v][-b mm/dd/CCyy][-n|-d mm/dd/CCyy]\n",
        "Note: CC will be assumed to be 19 if missing.\n",
        "Description:\n",
        "      Plots biorhythms beginning on a specified date and date of birth.\n",
        "Options:\n",
        " -b   Use mm/dd/CCyy as date of birth.\n",
        " -d   Use mm/dd/CCyy as starting date.\n",
        " -l   Use n lines.  The default number of lines is " NUMOFLINES_S ".\n",
        " -h   Displays help.\n",
        " -n   Uses today\'s date as the starting date for the chart.\n",
        " -q   Quit after 1 page.\n",
        " -v   Displays version information.\n",
        "      mm/dd/CCyy by itself is assumed to be the date of birth with today as\n",
        "      the starting date.\n",
        "Bugs:\n",
        "      Currently doesn\'t check to see if dates are valid.\n",
        "      Doesn\'t verify size of terminal or if run from terminal.\n",
        "      Uses too many global variables with poor names.\n",
        "      Assumes \'CLS\' exists or the terminal accepts ANSI escape codes.\n",
        "Author:\n",
        "      Michael J. Chappell\n",
        "Version:\n" ,
        "      " VERSION  " Updated on " DATE "\n",
        "\0"
    };
    
    while (help_string[i][0]) {
        fputs(help_string[i++], stdout);
    }
    return;
} /* help */

